## net.sf.saxon
Class Version

    java.lang.Object
      |
      +--net.sf.saxon.Version

public final class Version
extends java.lang.Object

The Version class holds the SAXON version information.

Method Summary
`static java.lang.String` `getProductName()` Return the name of this product.
`static java.lang.String` `getProductTitle()` Get a message used to identify this product when a transformation is run using the -t option
`static java.lang.String` `getProductVersion()` Get the version number of this version of the product
`static java.lang.String` `getReleaseDate()` Get the issue date of this version of the product
`static java.lang.String` `getSchemaAwareProductVersion()` Get the version number of the schema-aware version of the product
`static java.lang.String` `getWebSiteAddress()` Return a web site address containing information about the product.
`static java.lang.String` `getXSLVersionString()` Get the version of the XSLT specification that this product supports
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getProductName

    public static final java.lang.String getProductName()

  Return the name of this product. Supports the XSLT 2.0 system property xsl:product-name

  Returns:
    the string "SAXON"

### getSchemaAwareProductVersion

    public static final java.lang.String getSchemaAwareProductVersion()

  Get the version number of the schema-aware version of the product

  Returns:
    the version number of this version of Saxon, as a string

### getProductVersion

    public static final java.lang.String getProductVersion()

  Get the version number of this version of the product

  Returns:
    the version number of this version of Saxon, as a string

### getReleaseDate

    public static final java.lang.String getReleaseDate()

  Get the issue date of this version of the product

  Returns:
    the release date, as an ISO 8601 string

### getXSLVersionString

    public static final java.lang.String getXSLVersionString()

  Get the version of the XSLT specification that this product supports

  Returns:
    the string 2.0

### getProductTitle

    public static final java.lang.String getProductTitle()

  Get a message used to identify this product when a transformation is run using the -t option

  Returns:
    A string containing both the product name and the product version

### getWebSiteAddress

    public static final java.lang.String getWebSiteAddress()

  Return a web site address containing information about the product. Supports the XSLT system property xsl:vendor-url

  Returns:
    the string "http://saxon.sf.net/"

### main

    public static void main(java.lang.String[] args)